// routes/brandRoutes.js
const express = require('express');
const router = express.Router();
const brandController = require('../controllers/brandController');
const { authenticate, authorize } = require('../middleware/auth');

router.get('/', brandController.getAllBrands);
router.get('/:id', brandController.getBrandById);

router.use(authenticate);
router.post('/', 
    // authorize(['admin', 'manager']),
 brandController.createBrand);
router.put('/:id', 
    // authorize(['admin', 'manager']), 
    brandController.updateBrand);
router.delete('/:id', authorize(['admin']), brandController.deleteBrand);

module.exports = router;